/////////////////////////////////////////////////////////////////////////////
// GliD3D_Antialiasing.cpp : No comment
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Directive

#include "StdHdr.h"
#pragma hdrstop
#include "GliD3D.h"

/////////////////////////////////////////////////////////////////////////////
// Defines / Variables
/*
#define GLID3D_ANTIALIAS_ENABLE \
	g_gr_pd3ddevice->SetRenderState(D3DRENDERSTATE_ANTIALIAS, D3DANTIALIAS_SORTINDEPENDENT); \
	g_gr_pd3ddevice->SetRenderState(D3DRENDERSTATE_EDGEANTIALIAS, TRUE);

#define GLID3D_ANTIALIAS_DISABLE \
	g_gr_pd3ddevice->SetRenderState(D3DRENDERSTATE_ANTIALIAS, D3DANTIALIAS_NONE); \
	g_gr_pd3ddevice->SetRenderState(D3DRENDERSTATE_EDGEANTIALIAS, FALSE);
*/
#define GLID3D_ANTIALIAS_ENABLE
#define GLID3D_ANTIALIAS_DISABLE

/////////////////////////////////////////////////////////////////////////////
// Prototypes

/////////////////////////////////////////////////////////////////////////////
// Implements

FX_ENTRY void FX_CALL
grAADrawTriangle(
                 const void *a, const void *b, const void *c,
                 FxBool ab_antialias, FxBool bc_antialias, FxBool ca_antialias
                 )
{
	TRACEFUNCTION("grAADrawTriangle");

	GLID3D_ANTIALIAS_ENABLE
	grDrawTriangle(a, b, c);
	GLID3D_ANTIALIAS_DISABLE
}

/////////////////////////////////////////////////////////////////////////////
